using System.Diagnostics;
using System.Reflection.Metadata.Ecma335;

namespace Gyak4
{
    internal class Program
    {
        public static void Process(Func<int, string> func) //Int az inputja a functionnak, és string az output.
        {
            string result = func(42);
            Console.WriteLine(result);
        }
        static void Main(string[] args)
        {

            Process(x => (x * x).ToString());

            Process(szam => { return "Ez a szám:" + szam; });
            
        }
    }
}
